Idempotency Supported
Void or invalidate the specified credit note.
Use this operation for incorrectly generated credit notes, such as those with wrong details or created by mistake. This is a preferred method over deleting the credit note, as it preserves the audit trail, allowing for future reference and compliance without removing the original record.
Prerequisites & Constraints
- The credit note
statusmust not berefundedorvoided. - For credit notes of
typerefundable, you must remove any allocations or linked refunds before voiding it. Note that only offline refunds can be removed; online refunds cannot.
See Implementation Notes for more details.
Impacts
Invoices
If the credit note type is adjustment, the associated invoice status changes to not_paid, and the amount_due on the invoice increases by the amount that was allocated via the credit note.
Implementation Notes
Before calling this API, ensure the following:
- The credit note
statusmust not berefundedorvoided. - For credit notes of
typerefundable:- Remove any allocations of the credit note to invoices by calling the Remove credit note from an invoice API.
- Remove any linked offline refunds by calling the Delete an offline transaction API.
Related APIs
Delete a credit note
Sample Request
Sample Result[JSON]
URL Format
POST https://[site].chargebee.com/api/v2/credit_notes/{credit-note-id}/void
Input Parameters
Returns
Credit note object
Resource object representing credit_note